import request from '@/utils/request'

// 查询设备拓展管理列表
export function listExtension(query) {
  return request({
    url: '/hnyz/extension/list',
    method: 'get',
    params: query
  })
}

// 查询设备拓展管理详细
export function getExtension(id) {
  return request({
    url: '/hnyz/extension/' + id,
    method: 'get'
  })
}

// 新增设备拓展管理
export function addExtension(data) {
  return request({
    url: '/hnyz/extension',
    method: 'post',
    data: data
  })
}

// 修改设备拓展管理
export function updateExtension(data) {
  return request({
    url: '/hnyz/extension',
    method: 'put',
    data: data
  })
}

// 删除设备拓展管理
export function delExtension(id) {
  return request({
    url: '/hnyz/extension/' + id,
    method: 'delete'
  })
}

//查询设备拓展管理表单
export function getEquipmentExtensionFormList(query) {
  return request({
    url: '/hnyz/extension/getEquipmentExtensionFormList',
    method: 'get',
    params: query
  })
}

//修改启用状态
export function changeStatus(id ,status) {
  return request({
    url: '/hnyz/extension/changeStatus',
    method: 'put',
    data: {id,status}
  })  
}